Bug 308461 - libopensync-plugin-kdepim building against qt 3.3 fails - patch included
libopensync-plugin-kdepim building against qt 3.3 fails - patch included
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: libopensync-plugin-kdepim (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-27 04:10 EDT by Oliver Falk
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-30 03:14:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add patch to specfile, increase release number and add cl entry (1.60 KB, patch)
2007-09-27 04:10 EDT, Oliver Falk
no flags Details | Diff
Add /usr/lib/qt-3.3 to the list of directories to search for qt3 in configure... Need to run autoreconf, as the patch applies to the m4 file. autoreconf is already in, because of the other patch... (554 bytes, patch)
2007-09-27 04:12 EDT, Oliver Falk
no flags Details | Diff

  None (edit)
Description Oliver Falk 2007-09-27 04:10:27 EDT
For AlphaCore, I tried rebuilding the package, but it didn't work, because
configure only looks in /usr/lib/qt and not /usr/lib/qt-3.3. I've attached a
patch  that will fix this. Also a patch for the specfile to include the patch...
Comment 1 Oliver Falk 2007-09-27 04:10:27 EDT
Created attachment 207881 [details]
Add patch to specfile, increase release number and add cl entry
Comment 2 Oliver Falk 2007-09-27 04:12:35 EDT
Created attachment 207901 [details]
Add /usr/lib/qt-3.3 to the list of directories to search for qt3 in configure... Need to run autoreconf, as the patch applies to the m4 file. autoreconf is already in, because of the other patch...
Comment 3 Oliver Falk 2007-10-04 11:17:07 EDT
Ping!
Comment 4 Oliver Falk 2007-10-29 11:17:48 EDT
ping
Comment 5 Andreas Bierfert 2007-10-30 03:14:09 EDT
I have commited it to the devel branch of cvs. Do you also need it for the F-8
branch?
Comment 6 Oliver Falk 2007-10-30 04:24:24 EDT
It's better to add it to f8 as well, since:
[oliver@pils ~]$ koji latest-pkg dist-f8 qt
Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
qt-3.3.8-9.fc8                            dist-f8               than

... :-)

Note You need to log in before you can comment on or make changes to this bug.